#include <Adafruit_SSD1306.h>

#include "version.h"

const uint8_t DISPLAY_WIDTH = 128;
const uint8_t DISPLAY_HEIGHT = 64;
// https://startingelectronics.org/tutorials/arduino/modules/OLED-128x64-I2C-display/
const uint8_t DISPLAY_I2C_ADDRESS = 0x3C;

Adafruit_SSD1306 display(DISPLAY_WIDTH, DISPLAY_HEIGHT);

void setup() {
    // $ stty -F /dev/ttyUSB0 | grep speed
    Serial.begin(115200);
    Serial.println(PROJECT_REPO_URL);
    Serial.println(PROJECT_VERSION);
    if (!display.begin(SSD1306_SWITCHCAPVCC, DISPLAY_I2C_ADDRESS)) {
        Serial.println("failed to init display");
        while (true)
            ;
    }
    display.clearDisplay();
    display.setTextColor(SSD1306_WHITE);
    display.println(PROJECT_REPO_URL);
    display.println(PROJECT_VERSION);
    display.display();
    delay(2000);
    display.setTextSize(5);
}

void loop() {
    display.clearDisplay();
    display.setCursor(0, 0);
    display.print(analogRead(A0));
    display.display();
    delay(100); // ms
}
